<div class="container">
  <h2 *ngIf="cart.length == 0" style="text-align: center">
    Your Cart Is Empty 🛒{{ setTotal() }}
  </h2>
  <table
    *ngIf="cart.length > 0"
    class="table table-striped table-responsive"
    style="margin-top: 30px"
  >
    <thead style="text-align: center">
      <th>No</th>
      <th>Image</th>
      <th>Title</th>
      <th>price</th>
      <th>total</th>
      <th>qty</th>
      <th>type</th>
      <th>action</th>
    </thead>
    <tbody style="text-align: center">
      <tr *ngFor="let item of cart; let index = index">
        <td>{{ index + 1 }}</td>
        <td>
          <img
            src="{{ item['image'] }}"
            alt="image"
            class="rounded mx-auto d-block img"
          />
        </td>
        <td>{{ item["title"] }}</td>
        <td>{{ item["price"] }}</td>
        <td>{{ item["price"] * item["qty"] }}</td>
        <td>
          <button
            (click)="updateQty(item, -1)"
            style="margin-right: 5px"
            class="btn btn-sm btn-warning"
          >
            -</button
          >{{ item["qty"]
          }}<button
            (click)="updateQty(item, 1)"
            style="margin-left: 5px"
            class="btn btn-sm btn-warning"
          >
            +
          </button>
        </td>
        <td>{{ item["type"] }}</td>
        <td>
          <button (click)="remove(item)" class="btn btn-sm btn-danger">
            delete
          </button>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <td>{{ "" }}</td>
      <td>{{ "" }}</td>
      <td>{{ "" }}</td>
      <td style="margin-left: 10px; margin-top: 10px">
        <strong>Total:{{ getTotal() }}</strong>
      </td>
      <td>{{ "" }}</td>
      <td>
        <button (click)="placeOrder()" class="btn btn-sm btn-success">
          {{ "checkout" }}
        </button>
      </td>
    </tfoot>
  </table>
</div>
